import type { GestureResponderEvent } from 'react-native';
import type { AdditionalEventDataForMapper } from '../../sdk/EventMappers/EventMapper';
import { EventMapper } from '../../sdk/EventMappers/EventMapper';
import type { RumActionType } from '../types';
type RawAction = {
    readonly type: RumActionType;
    readonly name: string;
    context: object;
    readonly timestampMs: number;
    actionContext?: GestureResponderEvent;
};
type ActionEvent = RawAction & AdditionalEventDataForMapper;
type NativeAction = {
    type: RumActionType;
    name: string;
    context: object;
    timestampMs: number;
};
export type ActionEventMapper = (event: ActionEvent) => ActionEvent | null;
export declare const generateActionEventMapper: (eventMapper: ActionEventMapper | undefined) => EventMapper<RawAction, ActionEvent, NativeAction>;
export {};
